import Layout from '@/layout'

const dangerousRouter = [
  // {
  //   path: '/dangerous',
  //   hidden: true,
  //   redirect: '/dangerous/mainoverview/index',
  //   meta: { classification: 'dangerous', module_code: 'MainOverview' }
  // },
  {
    path: '/dangerous/mainoverview',
    component: Layout,
    redirect: '/dangerous/mainoverview/index',
    meta: { classification: 'dangerous', module_code: 'MainOverview' },
    children: [
      {
        path: 'index',
        name: 'dangerousMainOverview',
        meta: { title: '主预览', icon: '主概览', classification: 'dangerous' },
        component: () => import('@/views/reagent/mainoverview/index')
      }
    ]
  },
  {
    path: '/dangerous/report',
    component: Layout,
    redirect: '/dangerous/report/index',
    meta: { classification: 'dangerous', module_code: 'DataReportIndex' },
    children: [
      {
        path: 'index',
        name: 'dangerousReport',
        component: () => import('@/views/reagent/report/index'),
        meta: { title: '报告统计', icon: '报表统计', classification: 'dangerous' }
      },
      {
        path: 'storeinfo',
        name: 'dangerousStoreInfo',
        component: () => import('@/views/reagent/report/storeinfo/index'),
        hidden: true,
        meta: { title: '库存信息总览', icon: '报表统计', classification: 'dangerous', activeMenu: '/dangerous/report/index' }
      },
      {
        path: 'dangerousinfo',
        name: 'dangerousInfo',
        component: () => import('@/views/reagent/report/reagentinfo/index'),
        hidden: true,
        meta: { title: '危化品信息详情', icon: '报表统计', classification: 'dangerous', activeMenu: '/dangerous/report/index' }
      },
      {
        path: 'warehousinginfo',
        name: 'dangerousWarehousingInfo',
        component: () => import('@/views/reagent/report/warehousinginfo/index'),
        hidden: true,
        meta: { title: '入库信息查询', icon: '报表统计', classification: 'dangerous', activeMenu: '/dangerous/report/index' }
      },
      {
        path: 'inventoryconsuminfo',
        name: 'dangerousInventoryConsumInfo',
        component: () => import('@/views/reagent/report/inventoryconsum/index'),
        hidden: true,
        meta: { title: '库存消耗', icon: '报表统计', classification: 'dangerous', activeMenu: '/dangerous/report/index' }
      },
      {
        path: 'dangerousconsuminfo',
        name: 'dangerousConsumInfo',
        component: () => import('@/views/reagent/report/reagentconsum/index'),
        hidden: true,
        meta: { title: '危化品消耗', icon: '报表统计', classification: 'dangerous', activeMenu: '/dangerous/report/index' }
      },
      {
        path: 'userconsuminfo',
        name: 'dangerousUserConsumInfo',
        component: () => import('@/views/reagent/report/userconsum/index'),
        hidden: true,
        meta: { title: '人员用量消耗', icon: '报表统计', classification: 'dangerous', activeMenu: '/dangerous/report/index' }
      },
      {
        path: 'usefrequencyinfo',
        name: 'dangerousUseFrequencyInfo',
        component: () => import('@/views/reagent/report/usefrequency/index'),
        hidden: true,
        meta: { title: '使用频率', icon: '报表统计', classification: 'dangerous', activeMenu: '/dangerous/report/index' }
      },
      {
        path: 'recordinfo/:t',
        name: 'dangerousRecordInfo',
        component: () => import('@/views/reagent/report/record/index'),
        hidden: true,
        meta: { title: '记录', icon: '报表统计', classification: 'dangerous', activeMenu: '/dangerous/report/index' }
      }
    ]
  },
  {
    path: '/dangerous/warehousing',
    component: Layout,
    redirect: '/dangerous/warehousing/index',
    meta: { classification: 'dangerous', module_code: 'DataReportIndex' },
    children: [
      {
        path: 'index',
        name: 'dangerousWarehousing',
        component: () => import('@/views/reagent/warehousing/index'),
        meta: { title: '危化品入库', icon: '试剂入库', classification: 'dangerous' }
      }
    ]
  },
  {
    path: '/dangerous/receiving',
    component: Layout,
    redirect: '/dangerous/receiving/index',
    meta: { classification: 'dangerous', module_code: 'DrugUseView' },
    children: [
      {
        path: 'index',
        name: 'dangerousReceiving',
        component: () => import('@/views/reagent/receivingandreturn/index'),
        meta: { title: '危化品领用', icon: '试剂领用', classification: 'dangerous' }
      }
    ]
  },
  {
    path: '/dangerous/sendback',
    component: Layout,
    redirect: '/dangerous/sendback/index',
    meta: { classification: 'dangerous', module_code: 'DrugReturnView' },
    children: [
      {
        path: 'index',
        name: 'dangerousSendBack',
        component: () => import('@/views/reagent/receivingandreturn/index'),
        meta: { title: '危化品归还', icon: '试剂归还', classification: 'dangerous' }
      }
    ]
  },
  {
    path: '/dangerous/weighing',
    component: Layout,
    redirect: '/dangerous/weighing/index',
    meta: { classification: 'dangerous', module_code: 'DrugWeigh' },
    children: [
      {
        path: 'index',
        name: 'dangerousweighing',
        component: () => import('@/views/reagent/weighing/index'),
        meta: { title: '危化品称重', icon: '试剂称重', classification: 'dangerous' }
      }
    ]
  },
  {
    path: '/dangerous/inventory',
    component: Layout,
    redirect: '/dangerous/inventory/index',
    meta: { classification: 'dangerous', module_code: 'StockTakingIndex' },
    children: [
      {
        path: 'index',
        name: 'dangerousInventory',
        component: () => import('@/views/reagent/inventory/index'),
        meta: { title: '危化品盘点', icon: '库存盘点', classification: 'dangerous' }
      }
    ]
  },
  {
    path: '/dangerous/database',
    component: Layout,
    redirect: '/dangerous/database/msds',
    meta: { title: '化学品数据库', icon: '化学品数据库', classification: 'dangerous', module_code: 'ChemicaDatabase' },
    children: [
      {
        path: 'msds',
        name: 'dangerousMSDS',
        component: () => import('@/views/reagent/database/index'),
        meta: { title: 'MSDS数据库', classification: 'dangerous' }
      },
      {
        path: 'dangerous',
        name: 'dangerousDangerous',
        component: () => import('@/views/reagent/database/index'),
        meta: { title: '危化品数据库', classification: 'dangerous' }
      }
    ]
  },
  {
    path: '/dangerous/management',
    component: Layout,
    redirect: '/dangerous/management/index',
    meta: { classification: 'dangerous', module_code: 'DrugIndex' },
    children: [
      {
        path: 'index',
        name: 'dangerousManagement',
        component: () => import('@/views/reagent/management/index'),
        meta: { title: '危化品管理', icon: '试剂管理', classification: 'dangerous' }
      }
    ]
  },
  {
    path: '/dangerous/client',
    component: Layout,
    redirect: '/dangerous/client/index',
    meta: { classification: 'dangerous', module_code: 'CabinetIndex' },
    children: [
      {
        path: 'index',
        name: 'dangerousClient',
        component: () => import('@/views/reagent/client/index'),
        meta: { title: '柜体管理', icon: '柜体管理', classification: 'dangerous' }
      }
    ]
  },
  {
    path: '/dangerous/envrecord',
    component: Layout,
    redirect: '/dangerous/envrecord/index',
    meta: { classification: 'dangerous', module_code: 'HumitureIndex' },
    children: [
      {
        path: 'index',
        name: 'dangerousEnvRecord',
        component: () => import('@/views/reagent/envrecord/index'),
        meta: { title: '环境记录', icon: '雪花', classification: 'dangerous' }
      }
    ]
  },
  {
    path: '/dangerous/form',
    component: Layout,
    redirect: '/dangerous/form/index',
    meta: { classification: 'dangerous', module_code: 'DrugCustomForm' },
    children: [
      {
        path: 'index',
        name: 'dangerousForm',
        component: () => import('@/views/reagent/customform/index'),
        meta: { title: '危化品表单自定义', icon: '表单', classification: 'dangerous' }
      }
    ]
  },
  // {
  //   path: '/dangerous/buy',
  //   component: Layout,
  //   meta: { classification: 'dangerous' },
  //   children: [
  //     {
  //       path: 'index',
  //       name: 'Buy',
  //       component: () => import('@/views/reagent/buy/index'),
  //       meta: { title: '请购', icon: '请购', classification: 'dangerous' }
  //     }
  //   ]
  // },
  {
    path: '/dangerous/gotohome',
    redirect: '/home',
    meta: { title: '返回主页', icon: 'el-icon-arrow-left', classification: 'dangerous' }
  }
]

export default dangerousRouter
