import Layout from '@/layout'

const standardRouter = [
  // {
  //   path: '/standard',
  //   hidden: true,
  //   redirect: '/reagent/mainoverview/index',
  //   meta: { classification: 'standard', module_code: 'MainOverview' }
  // },
  {
    path: '/standard/mainoverview',
    component: Layout,
    redirect: '/standard/mainoverview/index',
    meta: { classification: 'standard', module_code: 'MainOverview' },
    children: [
      {
        path: 'index',
        name: 'standardMainOverview',
        meta: { title: '主预览', icon: '主概览', classification: 'standard' },
        component: () => import('@/views/reagent/mainoverview/index')
      }
    ]
  },
  {
    path: '/standard/report',
    component: Layout,
    redirect: '/standard/report/index',
    meta: { classification: 'standard', module_code: 'DataReportIndex' },
    children: [
      {
        path: 'index',
        name: 'standardReport',
        component: () => import('@/views/reagent/report/index'),
        meta: { title: '报告统计', icon: '报表统计', classification: 'standard' }
      },
      {
        path: 'storeinfo',
        name: 'standardStoreInfo',
        component: () => import('@/views/reagent/report/storeinfo/index'),
        hidden: true,
        meta: { title: '库存信息总览', icon: '报表统计', classification: 'standard', activeMenu: '/standard/report/index' }
      },
      {
        path: 'standardinfo',
        name: 'standardInfo',
        component: () => import('@/views/reagent/report/reagentinfo/index'),
        hidden: true,
        meta: { title: '标准品信息详情', icon: '报表统计', classification: 'standard', activeMenu: '/standard/report/index' }
      },
      {
        path: 'warehousinginfo',
        name: 'standardWarehousingInfo',
        component: () => import('@/views/reagent/report/warehousinginfo/index'),
        hidden: true,
        meta: { title: '入库信息查询', icon: '报表统计', classification: 'standard', activeMenu: '/standard/report/index' }
      },
      {
        path: 'inventoryconsuminfo',
        name: 'standardInventoryConsumInfo',
        component: () => import('@/views/reagent/report/inventoryconsum/index'),
        hidden: true,
        meta: { title: '库存消耗', icon: '报表统计', classification: 'standard', activeMenu: '/standard/report/index' }
      },
      {
        path: 'standardconsuminfo',
        name: 'standardConsumInfo',
        component: () => import('@/views/reagent/report/reagentconsum/index'),
        hidden: true,
        meta: { title: '标准品消耗', icon: '报表统计', classification: 'standard', activeMenu: '/standard/report/index' }
      },
      {
        path: 'userconsuminfo',
        name: 'standardUserConsumInfo',
        component: () => import('@/views/reagent/report/userconsum/index'),
        hidden: true,
        meta: { title: '人员用量消耗', icon: '报表统计', classification: 'standard', activeMenu: '/standard/report/index' }
      },
      {
        path: 'usefrequencyinfo',
        name: 'standardUseFrequencyInfo',
        component: () => import('@/views/reagent/report/usefrequency/index'),
        hidden: true,
        meta: { title: '使用频率', icon: '报表统计', classification: 'standard', activeMenu: '/standard/report/index' }
      },
      {
        path: 'recordinfo/:t',
        name: 'standardRecordInfo',
        component: () => import('@/views/reagent/report/record/index'),
        hidden: true,
        meta: { title: '记录', icon: '报表统计', classification: 'standard', activeMenu: '/standard/report/index' }
      }
    ]
  },
  {
    path: '/standard/warehousing',
    component: Layout,
    redirect: '/standard/warehousing/index',
    meta: { classification: 'standard', module_code: 'DataReportIndex' },
    children: [
      {
        path: 'index',
        name: 'standardWarehousing',
        component: () => import('@/views/reagent/warehousing/index'),
        meta: { title: '标准品入库', icon: '试剂入库', classification: 'standard' }
      }
    ]
  },
  {
    path: '/standard/receiving',
    component: Layout,
    redirect: '/standard/receiving/index',
    meta: { classification: 'standard', module_code: 'DrugUseView' },
    children: [
      {
        path: 'index',
        name: 'standardReceiving',
        component: () => import('@/views/reagent/receivingandreturn/index'),
        meta: { title: '标准品领用', icon: '试剂领用', classification: 'standard' }
      }
    ]
  },
  {
    path: '/standard/sendback',
    component: Layout,
    redirect: '/standard/sendback/index',
    meta: { classification: 'standard', module_code: 'DrugReturnView' },
    children: [
      {
        path: 'index',
        name: 'standardSendBack',
        component: () => import('@/views/reagent/receivingandreturn/index'),
        meta: { title: '标准品归还', icon: '试剂归还', classification: 'standard' }
      }
    ]
  },
  {
    path: '/standard/weighing',
    component: Layout,
    redirect: '/standard/weighing/index',
    meta: { classification: 'standard', module_code: 'DrugWeigh' },
    children: [
      {
        path: 'index',
        name: 'standardweighing',
        component: () => import('@/views/reagent/weighing/index'),
        meta: { title: '标准品称重', icon: '试剂称重', classification: 'standard' }
      }
    ]
  },
  {
    path: '/standard/inventory',
    component: Layout,
    redirect: '/standard/inventory/index',
    meta: { classification: 'standard', module_code: 'StockTakingIndex' },
    children: [
      {
        path: 'index',
        name: 'standardInventory',
        component: () => import('@/views/reagent/inventory/index'),
        meta: { title: '标准品盘点', icon: '库存盘点', classification: 'standard' }
      }
    ]
  },
  {
    path: '/standard/database',
    component: Layout,
    redirect: '/standard/database/msds',
    meta: { title: '化学品数据库', icon: '化学品数据库', classification: 'standard', module_code: 'ChemicaDatabase' },
    children: [
      {
        path: 'msds',
        name: 'standardMSDS',
        component: () => import('@/views/reagent/database/index'),
        meta: { title: 'MSDS数据库', classification: 'standard' }
      },
      {
        path: 'dangerous',
        name: 'standardDangerous',
        component: () => import('@/views/reagent/database/index'),
        meta: { title: '危化品数据库', classification: 'standard' }
      }
    ]
  },
  {
    path: '/standard/management',
    component: Layout,
    redirect: '/standard/management/index',
    meta: { classification: 'standard', module_code: 'DrugIndex' },
    children: [
      {
        path: 'index',
        name: 'standardManagement',
        component: () => import('@/views/reagent/management/index'),
        meta: { title: '标准品管理', icon: '试剂管理', classification: 'standard' }
      }
    ]
  },
  {
    path: '/standard/client',
    component: Layout,
    redirect: '/standard/client/index',
    meta: { classification: 'standard', module_code: 'CabinetIndex' },
    children: [
      {
        path: 'index',
        name: 'standardClient',
        component: () => import('@/views/reagent/client/index'),
        meta: { title: '柜体管理', icon: '柜体管理', classification: 'standard' }
      }
    ]
  },
  {
    path: '/standard/envrecord',
    component: Layout,
    redirect: '/standard/envrecord/index',
    meta: { classification: 'standard', module_code: 'HumitureIndex' },
    children: [
      {
        path: 'index',
        name: 'standardEnvRecord',
        component: () => import('@/views/reagent/envrecord/index'),
        meta: { title: '环境记录', icon: '雪花', classification: 'standard' }
      }
    ]
  },
  {
    path: '/standard/form',
    component: Layout,
    redirect: '/standard/form/index',
    meta: { classification: 'standard', module_code: 'DrugCustomForm' },
    children: [
      {
        path: 'index',
        name: 'standardForm',
        component: () => import('@/views/reagent/customform/index'),
        meta: { title: '标准品表单自定义', icon: '表单', classification: 'standard' }
      }
    ]
  },
  // {
  //   path: '/standard/buy',
  //   component: Layout,
  //   meta: { classification: 'standard' },
  //   children: [
  //     {
  //       path: 'index',
  //       name: 'Buy',
  //       component: () => import('@/views/reagent/buy/index'),
  //       meta: { title: '请购', icon: '请购', classification: 'standard' }
  //     }
  //   ]
  // },
  {
    path: '/standard/gotohome',
    redirect: '/home',
    meta: { title: '返回主页', icon: 'el-icon-arrow-left', classification: 'standard' }
  }
]

export default standardRouter
